xine-lib: _SOUND_INFO Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_SOUND_INFO Struct Reference

`#include <goom_plugin_info.h>`

## Data Fields
int | timeSinceLastGoom
float | goomPower
int | timeSinceLastBigGoom
float | volume
short | samples [2][512]
float | goom_limit
float | bigGoomLimit
float | accelvar
float | speedvar
int | allTimesMax
int | totalgoom
float | prov_max
int | cycle
PluginParam | volume_p
PluginParam | speed_p
PluginParam | accel_p
PluginParam | goom_limit_p
PluginParam | goom_power_p
PluginParam | last_goom_p
PluginParam | last_biggoom_p
PluginParam | biggoom_speed_limit_p
PluginParam | biggoom_factor_p
PluginParameters | params

## Detailed Description

Gives informations about the sound.

## Field Documentation

## ◆ accel_p

PluginParam _SOUND_INFO::accel_p

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ accelvar

float _SOUND_INFO::accelvar

Referenced by evaluate_sound(), plugin_info_init(), and tentacle_fx_apply().

## ◆ allTimesMax

int _SOUND_INFO::allTimesMax

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ biggoom_factor_p

PluginParam _SOUND_INFO::biggoom_factor_p

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ biggoom_speed_limit_p

PluginParam _SOUND_INFO::biggoom_speed_limit_p

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ bigGoomLimit

float _SOUND_INFO::bigGoomLimit

Referenced by evaluate_sound().

## ◆ cycle

int _SOUND_INFO::cycle

Referenced by evaluate_sound().

## ◆ goom_limit

float _SOUND_INFO::goom_limit

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ goom_limit_p

PluginParam _SOUND_INFO::goom_limit_p

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ goom_power_p

PluginParam _SOUND_INFO::goom_power_p

Referenced by convolve_apply(), evaluate_sound(), and plugin_info_init().

## ◆ goomPower

float _SOUND_INFO::goomPower

Referenced by evaluate_sound(), and fs_sound_event_occured().

## ◆ last_biggoom_p

PluginParam _SOUND_INFO::last_biggoom_p

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ last_goom_p

PluginParam _SOUND_INFO::last_goom_p

Referenced by convolve_apply(), evaluate_sound(), and plugin_info_init().

## ◆ params

PluginParameters _SOUND_INFO::params

Referenced by goom_close(), plugin_info_add_visual(), and plugin_info_init().

## ◆ prov_max

float _SOUND_INFO::prov_max

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ samples

short _SOUND_INFO::samples[2][512]

Referenced by evaluate_sound(), and tentacle_fx_apply().

## ◆ speed_p

PluginParam _SOUND_INFO::speed_p

Referenced by evaluate_sound(), and plugin_info_init().

## ◆ speedvar

float _SOUND_INFO::speedvar

Referenced by convolve_apply(), evaluate_sound(), goom_update(), and plugin_info_init().

## ◆ timeSinceLastBigGoom

int _SOUND_INFO::timeSinceLastBigGoom

Referenced by evaluate_sound(), and fs_sound_event_occured().

## ◆ timeSinceLastGoom

int _SOUND_INFO::timeSinceLastGoom

Referenced by evaluate_sound(), fs_apply(), and goom_update().

## ◆ totalgoom

int _SOUND_INFO::totalgoom

Referenced by evaluate_sound(), goom_update(), and plugin_info_init().

## ◆ volume

float _SOUND_INFO::volume

Referenced by evaluate_sound(), and goom_update().

## ◆ volume_p

PluginParam _SOUND_INFO::volume_p

Referenced by evaluate_sound(), and plugin_info_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/goom_plugin_info.h